Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.aalto.in
Class InputCharTypes

    java.lang.Object
      com.fasterxml.aalto.util.XmlCharTypes
          com.fasterxml.aalto.in.InputCharTypes

    public final class InputCharTypes

extends XmlCharTypes

Field Summary
`static int` | `CT_INPUT_NAME_MB_2`
`static int` | `CT_INPUT_NAME_MB_3`
`static int` | `CT_INPUT_NAME_MB_4`
`static int` | `CT_INPUT_NAME_MB_N` Important: must not overlap with the base constants.

Fields inherited from class com.fasterxml.aalto.util.XmlCharTypes
`ATTR_CHARS, CT_AMP, CT_ATTR_QUOTE, CT_DTD_GT, CT_DTD_LT, CT_DTD_PERCENT, CT_DTD_QUOTE, CT_DTD_RBRACKET, CT_GT, CT_HYPHEN, CT_INVALID, CT_LBRACKET, CT_LT, CT_MULTIBYTE_2, CT_MULTIBYTE_3, CT_MULTIBYTE_4, CT_MULTIBYTE_N, CT_NAME_ANY, CT_NAME_COLON, CT_NAME_NONE, CT_NAME_NONFIRST, CT_OK, CT_QMARK, CT_RBRACKET, CT_WS_CR, CT_WS_LF, CT_WS_TAB, DTD_CHARS, NAME_CHARS, OTHER_CHARS, PUBID_CHARS, PUBID_INVALID, PUBID_OK, TEXT_CHARS`

Constructor Summary
`InputCharTypes()`

Method Summary
`protected static void` | `fillInIllegalAsciiRange(int[] arr)`
`static void` | `fillInUtf8Chars(int[] textChars, int[] attrChars, int[] nameChars, int[] dtdChars, int[] otherChars)`
`static XmlCharTypes` | `getAsciiCharTypes()`
`static XmlCharTypes` | `getLatin1CharTypes()`
`static XmlCharTypes` | `getUtf8CharTypes()`

Methods inherited from class com.fasterxml.aalto.util.XmlCharTypes
`fillIn8BitAttrRange, fillIn8BitDtdRange, fillIn8BitNameRange, fillIn8BitTextRange, fillInLatin1Chars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CT_INPUT_NAME_MB_N

    public static final int CT_INPUT_NAME_MB_N

  Important: must not overlap with the base constants. Last constant (CT_NAME_ANY) currently has value 3.

  See Also:
    Constant Field Values

### CT_INPUT_NAME_MB_2

    public static final int CT_INPUT_NAME_MB_2

See Also:
  Constant Field Values

### CT_INPUT_NAME_MB_3

    public static final int CT_INPUT_NAME_MB_3

See Also:
  Constant Field Values

### CT_INPUT_NAME_MB_4

    public static final int CT_INPUT_NAME_MB_4

See Also:
  Constant Field Values

Constructor Detail

### InputCharTypes

    public InputCharTypes()

Method Detail

### getUtf8CharTypes

    public static final XmlCharTypes getUtf8CharTypes()

### getAsciiCharTypes

    public static final XmlCharTypes getAsciiCharTypes()

### getLatin1CharTypes

    public static final XmlCharTypes getLatin1CharTypes()

### fillInUtf8Chars

    public static void fillInUtf8Chars(int[] textChars,
                                       int[] attrChars,
                                       int[] nameChars,
                                       int[] dtdChars,
                                       int[] otherChars)

### fillInIllegalAsciiRange

    protected static void fillInIllegalAsciiRange(int[] arr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Fasterxml.com. All Rights Reserved.